astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Time and Dates (`astropy.time`) »
- TimeFormat

# TimeFormat

class `astropy.time.core.``TimeFormat`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `object`

  Base class for time representations.

  Parameters:

  val1 : numpy ndarray, list, str, or number

  > Data to initialize table.

  val2 : numpy ndarray, list, str, or number; optional

  > Data to initialize table.

  scale : str

  > Time scale of input value(s)

  precision : int

  > Precision for seconds as floating point

  in_subfmt : str

  > Select subformat for inputting string times

  out_subfmt : str

  > Select subformat for outputting string times

  from_jd : bool

  > If true then val1, val2 are jd1, jd2

  Attributes Summary

  `scale` | Time scale
  `value` | Return time representation from internal jd1 and jd2.

  Methods Summary

  `set_jds`(val1, val2) | Set internal jd1 and jd2 from val1 and val2.

  Attributes Documentation

  `scale`

    Time scale

  `value`

    Return time representation from internal jd1 and jd2. Must be provided by derived classes.

  Methods Documentation

  `set_jds`(val1, val2)

    Set internal jd1 and jd2 from val1 and val2. Must be provided by derived classes.